Description

When starting the application, the main window doesn't restore to the correct state.
After the patch, the maximized window size shouldn't affect the window size stored and the maximized state should be recovered

properly.

Associated revisions

Revision 65e81b756816cc4ac0eeb4628552ccfd8a3biac3 - 05/13/2009 11:16 PM - Manuel Nickschas
Properly save and restore the mainwindow state

We now save size, position, maximize, minimize and hidden-to-tray on exit

and restore it at next start. Since Qt's restoreState() has some issues, | had

to workaround things a bit, so please test on your system and report if there are
still problems with the current implementation!

Fixes #677, fixes #452 (since the state is remembered, so just quit Quassel using the
tray context menu while it's hidden).

Revision 65e81b75 - 05/13/2009 11:16 PM - Manuel Nickschas

Properly save and restore the mainwindow state

We now save size, position, maximize, minimize and hidden-to-tray on exit
and restore it at next start. Since Qt's restoreState() has some issues, | had

to workaround things a bit, so please test on your system and report if there are
still problems with the current implementation!

Fixes #677, fixes #452 (since the state is remembered, so just quit Quassel using the
tray context menu while it's hidden).

Revision 525d0aa9b754a04f3caaf3f00890894ea0208c46 - 05/13/2009 11:20 PM - Manuel Nickschas
Properly save and restore the mainwindow state

We now save size, position, maximize, minimize and hidden-to-tray on exit

and restore it at next start. Since Qt's restoreState() has some issues, | had

to workaround things a bit, so please test on your system and report if there are
still problems with the current implementation!

Fixes #677, fixes #452 (since the state is remembered, so just quit Quassel using the
tray context menu while it's hidden).

Revision 525d0aa9 - 05/13/2009 11:20 PM - Manuel Nickschas

Properly save and restore the mainwindow state
We now save size, position, maximize, minimize and hidden-to-tray on exit
and restore it at next start. Since Qt's restoreState() has some issues, | had

to workaround things a bit, so please test on your system and report if there are
still problems with the current implementation!

Fixes #677, fixes #452 (since the state is remembered, so just quit Quassel using the
tray context menu while it's hidden).

History

#1 - 05/13/2009 11:28 PM - Sputnick
- Status changed from New to Resolved

Applied in changeset 65e81b756816cc4ac0eeb4628552ccfd8a3biac3.

#2 - 05/13/2009 11:32 PM - Sputnick

- Assignee set to Sputnick

Cleaned up the mess that existed in MainWin and did it properly. Also I'm using restoreState() now, which should take care of ensuring that the
window appears in the visible screen area.

Please let me know if there are still issues; window manager-related stuff like this (in particular if it involves some hackery) is hard to get right on all
platforms :)

Files

0001-Maximized-window-state-is-now-handled-properly.patch 1.99 KB 04/16/2009 Squider
